import json
import pygame
from Classes.Game.World import World
from Classes.Game.Player import Player


# event the client sends to let the server know it logged in
def Login(tcpClient):
    payload = {
        "event":"login",
        "username": "player",
        "deck": [1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]
    }
    
    tcpClient.send(payload)

# server response for login event
def LoginResponse(message:dict, world:World):
    print("LoginResponse called")
    # checks if the response on the login request is successfull
    if message["status"] != "success":
        print("login failed")
    else:
        print("receiving login confirmation from server")
        world.setPlayer(Player(0,0,message["name"], message["id"]))